commit e41abeca2c05b99db7babadd590e8acc0d5d5c5c
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Sat Oct 18 23:05:43 2025

    libstdc++: Remove undeclared macros from configure.ac [PR122322]
    
    The additions in r16-4443-g651bf5126da124 cause errors when running
    autoreconf.
    
    libstdc++-v3/ChangeLog:
    
            PR libstdc++/122322
            * configure.ac (with_newlib) <*-rtems*>: Remove
            HAVE_SYS_IOCT4YL_H, _GLIBCXX_USE_LINK, _GLIBCXX_USE_READLINK,
            _GLIBCXX_USE_SYMLINK, _GLIBCXX_USE_TRUNCATE, and
            _GLIBCXX_USE_FDOPENDIR. Remove duplicates.
            * configure: Regenerate.
    
    (cherry picked from commit f5fb192c65e618508108525252b771956bdb1078)

diff --git a/libstdc++-v3/configure.ac b/libstdc++-v3/configure.ac
index 1d96de3bd6b..5f691483417 100644
--- a/libstdc++-v3/configure.ac
+++ b/libstdc++-v3/configure.ac
@@ -399,10 +399,8 @@ dnl # rather than hardcoding that information.
         AC_DEFINE(HAVE_ALIGNED_ALLOC)
         AC_DEFINE(HAVE_AT_QUICK_EXIT)
         AC_DEFINE(HAVE_LINK)
-        AC_DEFINE(HAVE_SYS_IOCT4YL_H)
         AC_DEFINE(HAVE_SYS_STAT_H)
         AC_DEFINE(HAVE_SYS_TYPES_H)
-        AC_DEFINE(HAVE_S_ISREG)
         AC_DEFINE(HAVE_QUICK_EXIT)
         AC_DEFINE(HAVE_READLINK)
         AC_DEFINE(HAVE_SETENV)
@@ -410,9 +408,6 @@ dnl # rather than hardcoding that information.
         AC_DEFINE(HAVE_SOCKATMARK)
         AC_DEFINE(HAVE_STRERROR_L)
         AC_DEFINE(HAVE_SYMLINK)
-        AC_DEFINE(HAVE_SYS_IOCT4YL_H)
-        AC_DEFINE(HAVE_SYS_STAT_H)
-        AC_DEFINE(HAVE_SYS_TYPES_H)
         AC_DEFINE(HAVE_S_ISREG)
         AC_DEFINE(HAVE_TRUNCATE)
         AC_DEFINE(HAVE_UNISTD_H)
@@ -423,11 +418,6 @@ dnl # rather than hardcoding that information.
         AC_DEFINE(_GLIBCXX_USE_CHDIR)
         AC_DEFINE(_GLIBCXX_USE_GETCWD)
         AC_DEFINE(_GLIBCXX_USE_UTIME)
-        AC_DEFINE(_GLIBCXX_USE_LINK)
-        AC_DEFINE(_GLIBCXX_USE_READLINK)
-        AC_DEFINE(_GLIBCXX_USE_SYMLINK)
-        AC_DEFINE(_GLIBCXX_USE_TRUNCATE)
-        AC_DEFINE(_GLIBCXX_USE_FDOPENDIR)
         AC_DEFINE(HAVE_USLEEP)
 
         # These functions are defined in librtemscpu.  We don't use

